pro mike_header_init, filename, header
;   Version Date: 2007 Feb 05
COMMON mike_data

;+
;   Modifies the FITS header to add Mike-specific keywords.
;-
mike_log, /start, /time

Blank = '        '

sxaddpar, Header, 'MIKE_BEG', strmid(systime(),4,20), ' START MIKE KEYWORD BLOCK'
sxaddpar, Header, Blank, '', before='MIKE_BEG'
sxaddpar, Header, Blank, '=============================================', $
   before='MIKE_BEG'
sxaddpar, Header, Blank,  '', before='MIKE_BEG'

;;;
;   Put in the current pipeline version information
;
sxaddpar, Header, 'MIKE_VER', MikeFlags.Version, ' Version of Mike pipeline code'

infile = strmid(filename, strpos(filename, '/', /reverse_search) + 1)
outfile = repstr(infile, 'eng', 'sci')

sxaddpar, header, 'FILE_IN', strupcase(infile), ' Input file for processing'
sxaddpar, header, 'FILE_OUT', strupcase(outfile), ' Output file after processing'

sxaddpar, header, 'BADFILE', '', ' File containing bad pixel mask'
sxaddpar, header, 'BADFLAG', 'F', ' Bad pixel mask applied to data?'
sxaddpar, header, 'BADVALUE', 'IEEE NaN', ' Value of bad pixel(s)'

sxaddpar, header, 'DEADFLAG', 'F', ' Dead-time correction applied?'

sxaddpar, header, 'DARKFILE', '', ' Detector dark count rate file'
sxaddpar, header, 'DARKFLAG', 'F', ' Dark count correction applied?'

sxaddpar, header, 'FLATFILE', '', ' Detector flatfield file'
sxaddpar, header, 'FLATFLAG', 'F', ' Flatfield correction applied?'

sxaddpar, header, 'AEFFFILE', '', ' Detector effective area file'
sxaddpar, header, 'AEFFFLAG', 'F', ' Effective area correction applied?'

sxaddpar, header, 'RECTFLAG', 'F', ' Wavelength rectification applied?'

sxaddpar, header, 'BUNIT', 'Counts', ' Units of data in the primary HDU'

sxaddpar, Header, 'MIKE_END', '', ' END MIKE KEYWORD BLOCK'
sxaddpar, Header, Blank, '', after='MIKE_END'
sxaddpar, Header, Blank, '=============================================', $
   after='MIKE_END'
sxaddpar, Header, Blank, '', after='MIKE_END'

end
